JBoss API: Class Util

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Class Util

    java.lang.Object
      |
      +--org.jboss.naming.Util

public class Util
extends java.lang.Object

A static utility class for common JNDI operations.

Version:
  $Revision: 1.2.6.2 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`Util()`

Method Summary
`static void` | `bind(javax.naming.Context ctx, javax.naming.Name name, java.lang.Object value)` Bind val to name in ctx, and make sure that all intermediate contexts exist
`static void` | `bind(javax.naming.Context ctx, java.lang.String name, java.lang.Object value)` Bind val to name in ctx, and make sure that all intermediate contexts exist
`static javax.naming.Context` | `createSubcontext(javax.naming.Context ctx, javax.naming.Name name)` Create a subcontext including any intermediate contexts.
`static javax.naming.Context` | `createSubcontext(javax.naming.Context ctx, java.lang.String name)` Create a subcontext including any intermediate contexts.
`static void` | `rebind(javax.naming.Context ctx, javax.naming.Name name, java.lang.Object value)` Rebind val to name in ctx, and make sure that all intermediate contexts exist
`static void` | `rebind(javax.naming.Context ctx, java.lang.String name, java.lang.Object value)` Rebind val to name in ctx, and make sure that all intermediate contexts exist

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### createSubcontext

    public static javax.naming.Context createSubcontext(javax.naming.Context ctx,
                                                        java.lang.String name)
                                                 throws javax.naming.NamingException

  Create a subcontext including any intermediate contexts.
  Parameters:
    `ctx,` - the parent JNDI Context under which value will be bound
    `name,` - the name relative to ctx of the subcontext.
  Returns:
    The new or existing JNDI subcontext
  Throws:
    `NamingException,` - on any JNDI failure

### createSubcontext

    public static javax.naming.Context createSubcontext(javax.naming.Context ctx,
                                                        javax.naming.Name name)
                                                 throws javax.naming.NamingException

  Create a subcontext including any intermediate contexts.
  Parameters:
    `ctx,` - the parent JNDI Context under which value will be bound
    `name,` - the name relative to ctx of the subcontext.
  Returns:
    The new or existing JNDI subcontext
  Throws:
    `NamingException,` - on any JNDI failure

### bind

    public static void bind(javax.naming.Context ctx,
                            java.lang.String name,
                            java.lang.Object value)
                     throws javax.naming.NamingException

  Bind val to name in ctx, and make sure that all intermediate contexts exist
  Parameters:
    `ctx,` - the parent JNDI Context under which value will be bound
    `name,` - the name relative to ctx where value will be bound
    `value,` - the value to bind.

### bind

    public static void bind(javax.naming.Context ctx,
                            javax.naming.Name name,
                            java.lang.Object value)
                     throws javax.naming.NamingException

  Bind val to name in ctx, and make sure that all intermediate contexts exist
  Parameters:
    `ctx,` - the parent JNDI Context under which value will be bound
    `name,` - the name relative to ctx where value will be bound
    `value,` - the value to bind.

### rebind

    public static void rebind(javax.naming.Context ctx,
                              java.lang.String name,
                              java.lang.Object value)
                       throws javax.naming.NamingException

  Rebind val to name in ctx, and make sure that all intermediate contexts exist
  Parameters:
    `ctx,` - the parent JNDI Context under which value will be bound
    `name,` - the name relative to ctx where value will be bound
    `value,` - the value to bind.

### rebind

    public static void rebind(javax.naming.Context ctx,
                              javax.naming.Name name,
                              java.lang.Object value)
                       throws javax.naming.NamingException

  Rebind val to name in ctx, and make sure that all intermediate contexts exist
  Parameters:
    `ctx,` - the parent JNDI Context under which value will be bound
    `name,` - the name relative to ctx where value will be bound
    `value,` - the value to bind.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.